package com.fourdage.dingding.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import com.alibaba.fastjson.annotation.JSONField;

/**
 * 操作记录列表
 * @author ajay peng
 *
 */
public class OperationRecords implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -4661729697236641880L;
	
	/**
	 * 操作人
	 */
	private String userId;
	
	/**
	 * 时间
	 */
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	@Temporal(TemporalType.TIMESTAMP)
	private Date date;
	
	/**
	 * 作类型，分为
	 * EXECUTE_TASK_NORMAL（正常执行任务），
	 * EXECUTE_TASK_AGENT（代理人执行任务），
	 * APPEND_TASK_BEFORE（前加签任务），
	 * APPEND_TASK_AFTER（后加签任务），
	 * REDIRECT_TASK（转交任务），
	 * START_PROCESS_INSTANCE（发起流程实例），
	 * TERMINATE_PROCESS_INSTANCE（终止(撤销)流程实例），
	 * FINISH_PROCESS_INSTANCE（结束流程实例），
	 * ADD_REMARK（添加评论）
	 */
	private String operationType;
	
	/**
	 * 操作结果，分为AGREE（同意），REFUSE（拒绝）
	 */
	private String operationResult;
	
	/**
	 * 评论
	 */
	private String remark;

	public String getUserId() {
		return userId;
	}

	public Date getDate() {
		return date;
	}

	public String getOperationType() {
		return operationType;
	}

	public String getOperationResult() {
		return operationResult;
	}

	public String getRemark() {
		return remark;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public void setOperationType(String operationType) {
		this.operationType = operationType;
	}

	public void setOperationResult(String operationResult) {
		this.operationResult = operationResult;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
	
}
